package meerkat.voting.gui.cast_or_audit;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.stage.Stage;
import meerkat.voting.gui.TwoWayNode;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * CastOrAuditLoader creates starlight channel section object and sets its controller
 */
public class CastOrAuditLoader {
    private static final String CAST_OR_AUDIT_FXML_PATH = "/view/cast_or_audit.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;

    public CastOrAuditLoader(Stage primaryStage) throws IOException
    {
        fxmlLoader = new FXMLLoader(getClass().getResource(CAST_OR_AUDIT_FXML_PATH));
        currentStage = primaryStage;
    }

    /**
     * Creates welcome splash parent node and sets it to the controller
     * @return TwoWayNode
     * @throws IOException
     */
    public TwoWayNode GetCastOrAudit() throws IOException {
        Parent castOrAudit = fxmlLoader.load();
        CastOrAuditController controller = fxmlLoader.getController();

        // set the controller to be functional TwoWayNode
        controller.SetParent(castOrAudit);
        controller.SetStage(currentStage);

        return controller;
    }

}
